> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Get patient payments

GET https://api.taigabilling.com/api/patient-payments/v4

Returns all patient payments satisfying the search criteria AND whose organization_id matches
the current organization_id of the authenticated user.

Reference: https://docs.taigabilling.com/api-reference/patient-payments-v-4/patient-payments-v-4-get-multi

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Query parameters

- `limit` (integer, optional) — Defaults to 100. The value must be greater than 0 and less than 1000.
- `patient_external_id` (string, optional)
- `claim_id` (string, optional)
- `service_line_id` (string, optional)
- `billing_provider_id` (string, optional)
- `unattributed` (boolean, optional) — returns payments with unattributed allocations if set to true
- `invoice_id` (string, optional)
- `sources` (list of enum, optional)
  - Allowed values: `MANUAL_ENTRY`, `CHARGEBEE`, `SQUARE`, `STRIPE`, `ELATION`, `CEDAR`, `HEALTHIE`, `REALLOCATION`, `PHREESIA`, `INSTAMED`, `SHERPA_HEALTH`, `LOCKBOX`
- `source_internal_id` (string, optional)
- `sort` (enum, optional) — Defaults to payment_timestamp
  - Allowed values: `payment_source`, `amount_cents`, `payment_timestamp`, `payment_note`
- `sort_direction` (enum, optional) — Sort direction. Defaults to descending order if not provided.
  - Allowed values: `asc`, `desc`
- `page_token` (string, optional)

## Response

### 200

- `items` (list of patient-paymentsv4PatientPayment, required)
- `next_page_token` (string, optional, nullable)
- `prev_page_token` (string, optional, nullable)

## Errors

### 403 Forbidden Error

- `PatientPayments_v4_getMultiRequestForbiddenError`
  - PatientPaymentsV4GetMultiRequestForbiddenError0

### 422 Unprocessable Entity Error

- `PatientPayments_v4_getMultiRequestUnprocessableEntityError`
  - PatientPaymentsV4GetMultiRequestUnprocessableEntityError0

## Types

### patient-paymentsv4PatientPayment

- `patient_payment_id` (string, required)
- `organization_id` (string, required)
- `payment_source` (enum, required)
  - Allowed values: `MANUAL_ENTRY`, `CHARGEBEE`, `SQUARE`, `STRIPE`, `ELATION`, `CEDAR`, `HEALTHIE`, `REALLOCATION`, `PHREESIA`, `INSTAMED`, `SHERPA_HEALTH`, `LOCKBOX`
- `amount_cents` (integer, required)
- `patient_external_id` (string, required)
- `allocations` (list of Allocation, required)
- `source_internal_id` (string, optional, nullable)
- `payment_timestamp` (datetime, optional, nullable)
- `payment_note` (string, optional, nullable)
- `invoice` (string, optional, nullable)
- `payment_method_detail` (patient-paymentsv4PaymentMethodDetail, optional, nullable)

### PatientPaymentsV4GetMultiRequestForbiddenError0

- `errorName` (enum, optional)
  - Allowed values: `UnprocessableEntityError`
- `content` (UnauthorizedErrorMessage, optional)

### PatientPaymentsV4GetMultiRequestUnprocessableEntityError0

- `errorName` (enum, optional)
  - Allowed values: `UnprocessableEntityError`
- `content` (UnprocessableEntityErrorMessage, optional)

### Allocation

- `amount_cents` (integer, required)
- `target` (AllocationTarget, required) — Allocation targets describe whether the portion of a payment is being applied toward a specific service line, claim, billing provider, or is unallocated.
- `allocation_id` (string, optional, nullable)
- `earmark` (BalanceEarmark, optional, nullable) — The active earmark created by this allocation, if any. Only present when this allocation created an earmark for future auto-allocation and the earmark has not been deleted.
- `allocated_on` (datetime, optional, nullable)

### patient-paymentsv4PaymentMethodDetail

- `payment_method` (patient-paymentsv4PaymentMethod, required)
- `collected_at_address` (StreetAddressShortZip, optional, nullable)
- `provider_info` (patient-paymentsv4PaymentMethodProviderInfo, optional, nullable)

### UnauthorizedErrorMessage

- `message` (string, optional, nullable)

### UnprocessableEntityErrorMessage

- `message` (string, optional, nullable)

### AllocationTarget

Allocation targets describe whether the portion of a payment is being applied toward a specific service line, claim, billing provider, or is unallocated.

- AllocationTarget0
- AllocationTarget1
- AllocationTarget2
- AllocationTarget3
- AllocationTarget4

### BalanceEarmark

Represents an active balance earmarking record that holds allocated funds for future auto-allocation. Earmarks are created when funds are allocated but should be held for a specific encounter or date of service. Only active (non-deleted) earmarks are returned.

- `id` (string, required)
- `target` (AllocationEarmarkType, required) — The target for this earmark (date of service or external encounter ID)
- `amount_earmarked_cents` (integer, optional, nullable) — The amount earmarked in cents for future allocation
- `created_by_allocation_id` (string, optional, nullable) — The ID of the allocation that created this earmark

### patient-paymentsv4PaymentMethod

- PatientPaymentsv4PaymentMethod0
- PatientPaymentsv4PaymentMethod1
- PatientPaymentsv4PaymentMethod2
- PatientPaymentsv4PaymentMethod3

### StreetAddressShortZip

- `address1` (string, required)
- `city` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `zip_code` (string, required) — 5-digit zip code
- `address2` (string, optional, nullable)
- `zip_plus_four_code` (string, optional, nullable) — 4-digit zip add-on code https://en.wikipedia.org/wiki/ZIP_Code#ZIP+4

### patient-paymentsv4PaymentMethodProviderInfo

- `npi` (string, optional, nullable)
- `first_name` (string, optional, nullable)
- `last_name` (string, optional, nullable)

### AllocationTarget0

- `claim_id` (string, required)
- `encounter_id` (string, required)
- `service_line_id` (string, required)
- `type` (enum, required)
  - Allowed values: `service_line`

### AllocationTarget1

- `claim_id` (string, required)
- `encounter_id` (string, required)
- `type` (enum, required)
  - Allowed values: `claim`

### AllocationTarget2

- `billing_provider_id` (string, required)
- `type` (enum, required)
  - Allowed values: `billing_provider_id`

### AllocationTarget3

- `appointment_id` (string, required)
- `patient_external_id` (string, required)
- `type` (enum, required)
  - Allowed values: `appointment`

### AllocationTarget4

- `type` (enum, required)
  - Allowed values: `unattributed`

### AllocationEarmarkType

If enabled for your organization, defines how a patient prepayment allocation should be earmarked for future auto-allocation. Earmarks hold the allocation until a matching encounter is created, then attempt to allocate to that encounter. Only applicable for unattributed allocations.

- AllocationEarmarkType0
- AllocationEarmarkType1

### PatientPaymentsv4PaymentMethod0

- `type` (enum, required)
  - Allowed values: `cash`

### PatientPaymentsv4PaymentMethod1

- `check_number` (string, required)
- `type` (enum, required)
  - Allowed values: `check`

### PatientPaymentsv4PaymentMethod2

- `type` (enum, required)
  - Allowed values: `card`
- `authorization_number` (string, optional, nullable)

### PatientPaymentsv4PaymentMethod3

- `money_order_serial_number` (string, required)
- `type` (enum, required)
  - Allowed values: `money_order`

### AllocationEarmarkType0

- `type` (enum, required)
  - Allowed values: `date_of_service`
- `value` (string, optional) — ISO 8601 date; formatted YYYY-MM-DD (i.e. 2012-02-01)

### AllocationEarmarkType1

- `type` (enum, required)
  - Allowed values: `external_encounter_id`
- `value` (string, optional)

## Examples

**Response**

```json
{
  "items": [
    {
      "patient_payment_id": "string",
      "organization_id": "string",
      "payment_source": "MANUAL_ENTRY",
      "amount_cents": 1,
      "patient_external_id": "string",
      "allocations": [
        {
          "amount_cents": 1,
          "target": {
            "claim_id": "string",
            "encounter_id": "string",
            "service_line_id": "string",
            "type": "service_line"
          },
          "allocation_id": "string",
          "earmark": {
            "id": "string",
            "target": {
              "type": "date_of_service",
              "value": "string"
            },
            "amount_earmarked_cents": 1,
            "created_by_allocation_id": "string"
          },
          "allocated_on": "2024-01-15T09:30:00Z"
        }
      ],
      "source_internal_id": "string",
      "payment_timestamp": "2024-01-15T09:30:00Z",
      "payment_note": "string",
      "invoice": "string",
      "payment_method_detail": {
        "payment_method": {
          "type": "cash"
        },
        "collected_at_address": {
          "address1": "string",
          "city": "string",
          "state": "AA",
          "zip_code": "string",
          "address2": "string",
          "zip_plus_four_code": "string"
        },
        "provider_info": {
          "npi": "string",
          "first_name": "string",
          "last_name": "string"
        }
      }
    }
  ],
  "next_page_token": "string",
  "prev_page_token": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/patient-payments/v4"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```